com.r3corda.core.crypto / PublicKeyTree / Leaf

# Leaf

`class Leaf : PublicKeyTree`

The leaf node of the public key tree – a wrapper around a PublicKey primitive

### Constructors

<init> | `Leaf(publicKey: PublicKey)` The leaf node of the public key tree – a wrapper around a PublicKey primitive

### Properties

publicKey | `val publicKey: PublicKey`

### Functions

equals | `fun equals(other: Any?): Boolean`
getKeys | `fun getKeys(): Set<PublicKey>` Returns all PublicKeys contained within the tree leaves
hashCode | `fun hashCode(): Int`
isFulfilledBy | `fun isFulfilledBy(keys: Iterable<PublicKey>): <ERROR CLASS>` Checks whether keys match a sufficient amount of leaf nodes

### Inherited Functions

containsAny | `fun containsAny(keys: Iterable<PublicKey>): <ERROR CLASS>` Checks whether any of the given keys matches a leaf on the tree
isFulfilledBy | `fun isFulfilledBy(key: PublicKey): <ERROR CLASS>`
toBase58String | `fun toBase58String(): String`